import { AbstractStreamingSyncImplementation, AbstractStreamingSyncImplementationOptions, LockOptions } from '@journeyapps/powersync-sdk-common';
export interface WebStreamingSyncImplementationOptions extends AbstractStreamingSyncImplementationOptions {
    /**
     * An identifier for which PowerSync DB this sync implementation is
     * linked to. Most commonly DB name, but not restricted to DB name.
     */
    workerIdentifier: string;
}
export declare class WebStreamingSyncImplementation extends AbstractStreamingSyncImplementation {
    constructor(options: WebStreamingSyncImplementationOptions);
    get webOptions(): WebStreamingSyncImplementationOptions;
    obtainLock<T>(lockOptions: LockOptions<T>): Promise<T>;
}
